#
# spec file for package python-azure-multiapi-storage
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-multiapi-storage
Version:        0.2.2
Release:        lp152.2.3
Summary:        Microsoft Azure Storage Client Library for Python - with Multi API version Support
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-multiapi-storage/azure-multiapi-storage-%{version}.tar.gz
Source1:        LICENSE.txt
Patch1:         ams_drop-extras-require.patch
BuildRequires:  %{python_module azure-nspkg}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-common
Requires:       python-azure-nspkg
Requires:       python-cryptography
Requires:       python-python-dateutil
Requires:       python-requests
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
Microsoft Azure Storage Client Library for Python - with Multi API version Support

Handles multi-API versions of Azure Storage Data Plane originally from https://github.com/Azure/azure-storage-python.

**NOTE:**

- This is not an official Azure Storage SDK.

- It is used by https://github.com/Azure/azure-cli to support multiple API versions.

- The official Azure Storage SDK is at https://github.com/Azure/azure-storage-python.

%prep
%setup -q -n azure-multiapi-storage-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-multiapi-storage-%{version}
%python_build

%install
%python_install
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/azure/multiapi
%{python_sitelib}/azure_multiapi_storage-*.egg-info

%changelog
* Thu Sep  6 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.2.2
  + For detailed information about changes see the
    README.rst file provided with this package
- Add patch to remove extras_require field from setup.py, required
  for SLES12 as the setuptools version is too old
  + ams_drop-extras-require.patch
- Move LICENSE.txt from %%doc to %%license section
* Mon Apr 23 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.2.0
* Tue Jan 30 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.1.7
  + For detailed information about changes see the
    README.rst file provided with this package
* Wed Sep 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 0.1.4
